<?php
if ( !class_exists('The_Blogging__Dashboard_Notice') ):

    class The_Blogging__Dashboard_Notice
    {
        function __construct()
        {	
            global $pagenow;

        	if( $this->the_blogging__show_hide_notice() ){

	            if( is_multisite() ){

                  add_action( 'network_admin_notices',array( $this,'the_blogging__admin_notice' ) );

                } else {

                  add_action( 'admin_notices',array( $this,'the_blogging__admin_notice' ) );
                }
	        }
	        add_action( 'wp_ajax_the_blogging__notice_dismiss', array( $this, 'the_blogging__notice_dismiss' ) );
			add_action( 'switch_theme', array( $this, 'the_blogging__notice_clear_cache' ) );
            add_action('admin_init', array( $this, 'the_blogging_notice_remove' ),100);

        }
        
        function the_blogging_notice_remove(){
            if( isset( $_GET['page'] ) && $_GET['page'] == get_template().'-about' ){

                remove_all_actions('admin_notices');
                remove_all_actions('all_admin_notices');
            }
        }
        
        public static function the_blogging__show_hide_notice( $status = false ){

            if( $status ){

                if( (class_exists( 'Booster_Extension_Class' ) ) || get_option('twp_the_blogging__admin_notice') ){

                    return false;

                }else{

                    return true;

                }

            }

            // Check If current Page 
            if ( isset( $_GET['page'] ) && $_GET['page'] == 'the-blogging-about'  ) {
                return false;
            }

        	// Hide if dismiss notice
        	if( get_option('twp_the_blogging__admin_notice') ){
				return false;
			}
        	// Hide if all plugin active
        	if ( class_exists( 'Booster_Extension_Class' ) && class_exists( 'Demo_Import_Kit_Class' ) && class_exists( 'Themeinwp_Import_Companion' ) ) {
				return false;
			}
			// Hide On TGMPA pages
			if ( ! empty( $_GET['tgmpa-nonce'] ) ) {
				return false;
			}
			// Hide if user can't access
        	if ( current_user_can( 'manage_options' ) ) {
				return true;
			}
			
        }

        // Define Global Value
        public static function the_blogging__admin_notice(){ ?>

            <div class="updated notice is-dismissible twp-the-blogging-notice">

                <h3><?php esc_html_e('Quick Setup','the-blogging'); ?></h3>

                <p><strong><?php esc_html_e('The Blogging is now installed and ready to use. Are you looking for a better experience to set up your site?','the-blogging'); ?></strong></p>

                <small><?php esc_html_e("We've prepared a unique onboarding process through our",'the-blogging'); ?> <a href="<?php echo esc_url( admin_url().'themes.php?page='.get_template().'-about') ?>"><?php esc_html_e('Getting started','the-blogging'); ?></a> <?php esc_html_e("page. It helps you get started and configure your upcoming website with ease. Let's make it shine!",'the-blogging'); ?></small>

                <p>
                    <a target="_blank" class="button button-primary button-primary-upgrade" href="<?php echo esc_url( 'https://www.themeinwp.com/theme/blogging-pro/' ); ?>">
                        <span class="dashicons dashicons-thumbs-up"></span>
                        <span><?php esc_html_e('Upgrade to Pro','the-blogging'); ?></span>
                    </a>
                    <a class="button button-primary twp-install-active" href="javascript:void(0)">
                        <span class="dashicons dashicons-admin-plugins"></span>
                        <span><?php esc_html_e('Install and activate recommended plugins','the-blogging'); ?></span>
                    </a>
                    <span class="quick-loader-wrapper"><span class="quick-loader"></span></span>

                    <a target="_blank" class="button button-primary" href="<?php echo esc_url( 'https://demo.themeinwp.com/blogging/' ); ?>">
                        <span class="dashicons dashicons-welcome-view-site"></span>
                        <span><?php esc_html_e('View Demo','the-blogging'); ?></span>
                    </a>

                    <a target="_blank" class="button button-primary" href="<?php echo esc_url('https://wordpress.org/support/theme/the-blogging/reviews/?filter=5'); ?>">
                        <span class="dashicons dashicons-star-filled"></span>
                        <span class="dashicons dashicons-star-filled"></span>
                        <span class="dashicons dashicons-star-filled"></span>
                        <span class="dashicons dashicons-star-filled"></span>
                        <span class="dashicons dashicons-star-filled"></span>
                        <span><?php esc_html_e('Leave a review', 'the-blogging'); ?></span>
                    </a>

                    <a class="btn-dismiss twp-custom-setup" href="javascript:void(0)"><?php esc_html_e('Dismiss this notice.','the-blogging'); ?></a>

                </p>

            </div>

        <?php
        }

        public function the_blogging__notice_dismiss(){

        	if ( isset( $_POST[ '_wpnonce' ] ) && wp_verify_nonce( sanitize_text_field( wp_unslash( $_POST[ '_wpnonce' ] ) ), 'the_blogging__ajax_nonce' ) ) {

	        	update_option('twp_the_blogging__admin_notice','hide');

	        }

            die();

        }

        public function the_blogging__notice_clear_cache(){

        	update_option('twp_the_blogging__admin_notice','');

        }

    }
    new The_Blogging__Dashboard_Notice();
endif;