<?php
/**
 * The template for displaying the footer.
 *
 * Contains the closing of the #content div and all content after.
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package The Blogging
 */

?>

</div><!-- #content -->

    <?php get_template_part( 'template-parts/header/offcanvas', 'menu' ); ?>

    <?php if (is_front_page() || is_home() ) { ?>
        <?php if (1 == the_blogging_get_option('show_footer_pinned_post_section_section')) { ?>
            <section class="cover-stories">
                <?php
                $category_ids_footer_pined_post = the_blogging_get_option('select_category_for_footer_pinned_section');
                $args = array(
                    'post_type'      => 'post',
                    'posts_per_page' => 3,
                    'cat' => absint($category_ids_footer_pined_post),
                );
                $footer_pined_post = new WP_Query($args);
                if($footer_pined_post->have_posts()):?>
                <div class="container">
                        <div class="row">
                            <?php
                            $the_blogging_pinned_title_text = wp_kses_post(the_blogging_get_option('title_footer_pinned_post'));
                            if (!empty($the_blogging_pinned_title_text)) { ?>
                            <div class="col-sm-12">
                                <h2 class="section-title entry-title">
                                    <?php echo wp_kses_post($the_blogging_pinned_title_text); ?> <i class="meta-icon meta-icon-large ion-ios-arrow-thin-right"></i>
                                </h2>
                            </div>
                            <?php } ?>
                            <?php while ($footer_pined_post->have_posts()):$footer_pined_post->the_post();
                                $featured_img_url = get_the_post_thumbnail_url(get_the_ID(),'large');
                                ?>
                                <div class="col-sm-4">
                                    <?php if (has_post_thumbnail()) { ?>
                                        <div class="article-image">
                                            <a href="<?php the_permalink(); ?>" class="bg-image bg-image-light bg-image-3">
                                                <img src="<?php echo esc_url($featured_img_url); ?>">
                                            </a>
                                            <div class="post-category post-category-1">
                                                <?php the_blogging_entry_category(); ?>
                                            </div>
                                        </div>
                                    <?php } ?>
                                    <div class="content">
                                        <div class="entry-meta">
                                            <?php the_blogging_posted_details_date_name(); ?>
                                        </div>
                                        <h3 class="entry-title entry-title-medium">
                                            <a href="<?php the_permalink(); ?>"><?php the_title(); ?></a>
                                        </h3>
                                    </div>
                                </div>
                            <?php endwhile;
                            wp_reset_postdata();?>
                        </div>
                    </div>
                <?php endif; ?>
            </section>
        <?php } ?>
    <?php } ?>

    <footer id="colophon" class="site-footer" role="contentinfo">
    <?php $the_blogging_footer_widgets_number = the_blogging_get_option('number_of_footer_widget');
    if ($the_blogging_footer_widgets_number != 0) {?>
        <?php
        if (1 == $the_blogging_footer_widgets_number) {
            $col = 'col-md-12';
        } elseif (2 == $the_blogging_footer_widgets_number) {
            $col = 'col-md-6';
        } elseif (3 == $the_blogging_footer_widgets_number) {
            $col = 'col-md-4';
        } elseif (4 == $the_blogging_footer_widgets_number) {
            $col = 'col-md-3';
        } else {
            $col = 'col-md-3';
        }
        if (is_active_sidebar('footer-col-one') || is_active_sidebar('footer-col-two') || is_active_sidebar('footer-col-three') || is_active_sidebar('footer-col-four')) { ?>
            <div class="footer-widget">
                <div class="container">
                    <div class="row">
                        <?php if (is_active_sidebar('footer-col-one') && $the_blogging_footer_widgets_number > 0) : ?>
                            <div class="footer-widget <?php echo esc_attr($col); ?>">
                                <?php dynamic_sidebar('footer-col-one'); ?>
                            </div>
                        <?php endif; ?>
                        <?php if (is_active_sidebar('footer-col-two') && $the_blogging_footer_widgets_number > 1) : ?>
                            <div class="footer-widget <?php echo esc_attr($col); ?>">
                                <?php dynamic_sidebar('footer-col-two'); ?>
                            </div>
                        <?php endif; ?>
                        <?php if (is_active_sidebar('footer-col-three') && $the_blogging_footer_widgets_number > 2) : ?>
                            <div class="footer-widget <?php echo esc_attr($col); ?>">
                                <?php dynamic_sidebar('footer-col-three'); ?>
                            </div>
                        <?php endif; ?>
                        <?php if (is_active_sidebar('footer-col-four') && $the_blogging_footer_widgets_number > 3) : ?>
                            <div class="footer-widget <?php echo esc_attr($col); ?>">
                                <?php dynamic_sidebar('footer-col-four'); ?>
                            </div>
                        <?php endif; ?>
                    </div>
                </div>
            </div>
        <?php } ?>
    <?php } ?>

        <div class="footer-middlearea">
            <div class="container">
                <div class="row">
                    <div class="col-sm-6 col-md-8">
                        <?php if (1 == the_blogging_get_option('show_social_menu_top_bar_section')){ ?>
                            <div class="social-icons social-icons-main">
                                <?php
                                wp_nav_menu(
                                    array('theme_location' => 'social',
                                        'link_before' => '<span class="screen-reader-text">',
                                        'link_after' => '</span>',
                                        'menu_id' => 'social-menu',
                                        'fallback_cb' => false,
                                        'menu_class'=> false
                                    )); ?>
                            </div>
                        <?php } ?>
                    </div>
                    <div class="col-sm-6 col-md-4">
                        <?php get_search_form(); ?>
                    </div>
                </div>
            </div>
        </div>

        <div class="site-info">
            <div class="container">
                <div class="row">
                    <div class="col-md-6">
                        <?php if (has_nav_menu('footer')) { ?>
                            <div id="footer-nav" >
                                <?php wp_nav_menu(array(
                                    'theme_location' => 'footer',
                                    'menu_id' => 'footer-menu',
                                    'depth'   => 1,
                                    'container' => 'div',
                                    'menu_class'=> false
                                )); ?>
                            </div>
                        <?php } ?>
                    </div>
                    <div class="col-md-6">
                        <h5 class="site-copyright secondary-font">
                            <?php
                            $the_blogging_copyright_text = wp_kses_post(the_blogging_get_option('copyright_text'));
                            if (!empty ($the_blogging_copyright_text)) {
                                echo wp_kses_post(the_blogging_get_option('copyright_text'));
                            }
                            ?>
                            <?php if ((the_blogging_get_option('enable_copyright_credit')) == 1) { ?>
                                <span class="heart"><i class="ion-heart"></i></span>
                                <?php printf(esc_html__('Theme: %1$s by %2$s', 'the-blogging'), '<strong>The Blogging</strong>', '<a href="http://themeinwp.com/" target = "_blank" rel="designer"><strong>Themeinwp</strong></a>'); ?>
                            <?php } ?>
                        </h5>
                    </div>
                </div>
            </div>
        </div>
    </footer>
</div>

<div class="scroll-up">
    <i class="ion-ios-arrow-up text-light"></i>
</div>


<?php wp_footer(); ?>

</body>
</html>
