<?php
if (!function_exists('the_blogging_full_width_carousel_args')) :
    /**
     * Banner Slider Details
     *
     * @since The Blogging 1.0.0
     *
     * @return array $qargs Slider details.
     */
    function the_blogging_full_width_carousel_args()
    {
        $the_blogging_full_width_carousel_number = absint(the_blogging_get_option('number_of_home_full_width_carousel'));
        $the_blogging_full_width_carousel_category = esc_attr(the_blogging_get_option('select_category_for_full_width_carousel'));
        $qargs = array(
            'posts_per_page' => esc_attr($the_blogging_full_width_carousel_number),
            'post_type' => 'post',
            'cat' => $the_blogging_full_width_carousel_category,
        );
        return $qargs;
        ?>
        <?php
    }
endif;


if (!function_exists('the_blogging_full_width_carousel')) :
    /**
     * Banner Slider
     *
     * @since The Blogging 1.0.0
     *
     */
    function the_blogging_full_width_carousel()
    {
        $the_blogging_full_width_carousel_title_text = esc_html(the_blogging_get_option('heading_text_on_full_width_carousel'));

        if (1 != the_blogging_get_option('show_full_width_carousel_section')) {
            return null;
        }
        $the_blogging_full_width_carousel_args = the_blogging_full_width_carousel_args();
        $the_blogging_full_width_carousel_query = new WP_Query($the_blogging_full_width_carousel_args); ?>
        <section class="section-carousel section-block">
            <div class="container">
                <div class="row">
                    <div class="col-sm-12">
                        <?php if (!empty($the_blogging_full_width_carousel_title_text)) { ?>
                            <div class="section-heading">
                                <h2 class="section-title">
                                    <?php echo esc_html($the_blogging_full_width_carousel_title_text); ?>
                                    <?php $the_blogging_full_width_carousel_category = esc_attr(the_blogging_get_option('select_category_for_full_width_carousel')); 
                                    if ($the_blogging_full_width_carousel_category != 0) { ?>
                                        <span class="header-link">
                                            <?php
                                            $the_blogging_full_width_carousel_category_url = get_category_link( $the_blogging_full_width_carousel_category ); ?>
                                            <a href="<?php echo esc_url($the_blogging_full_width_carousel_category_url); ?>">
                                                <?php echo esc_html('view all articles','the-blogging'); ?>
                                            </a>
                                        </span>
                                    <?php } ?>
                                </h2>
                                <div class="slidernav">
                                    <div class="twp-slide-prev tertiary-color slide-prev-3">
                                        <i class="navcontrol-transparent ion-ios-arrow-left"></i>
                                    </div>
                                    <div class="twp-slide-next tertiary-color slide-next-3">
                                        <i class="navcontrol-transparent ion-ios-arrow-right"></i>
                                    </div>
                                </div>
                            </div>
                        <?php } ?>
                    </div>
                </div>
            </div>
            <?php $rtl_class_c = 'false';
            if(is_rtl()){ 
                $rtl_class_c = 'true';
            }?>
            <div class="slide-posts" data-slick='{"rtl": <?php echo($rtl_class_c); ?>}'>
            <?php
            if ($the_blogging_full_width_carousel_query->have_posts()) :
                while ($the_blogging_full_width_carousel_query->have_posts()) : $the_blogging_full_width_carousel_query->the_post();
                    if (has_post_thumbnail()) {
                        $thumb = wp_get_attachment_image_src(get_post_thumbnail_id(get_the_ID()), 'the-blogging-main-banner');
                        $url = isset( $thumb[0] ) ? $thumb[0] : '';
                    }
                    ?>
                    <article class="slide-items">
                        <div class="slide-container">
                            <div class="article-image">
                                <a href="<?php the_permalink(); ?>">
                                                            <span class="slide-bg bg-image">
                                                                <?php if (has_post_thumbnail()) { ?>
                                                                    <img src="<?php echo esc_url($url); ?>">
                                                                <?php  } ?>
                                                            </span>
                                </a>
                                <div class="post-category post-category-1">
                                    <?php the_blogging_entry_category(); ?>
                                </div>
                                <div class="post-type-icon">

                                </div>
                            </div>
                            <div class="slide-item-content">
                                <h3 class="entry-title entry-title-medium">
                                    <a href="<?php the_permalink(); ?>">
                                        <?php the_title(); ?>
                                    </a>
                                </h3>
                                <div class="entry-meta">
                                    <?php the_blogging_posted_details_date_name(); ?>
                                </div>
                            </div>
                        </div>
                    </article>
                <?php
                endwhile;
                wp_reset_postdata();
            endif; ?>
        </div>
        </section>
        <?php
    }
endif;
add_action('the_blogging_action_full_width_carousel_post', 'the_blogging_full_width_carousel', 10);