<?php
/**
 * Template part for displaying posts.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package The Blogging
 */

$archive_layout_image = the_blogging_get_option('archive_layout_image');

if (has_post_thumbnail()) :
    if ('left' == $archive_layout_image) {
        $archive_post_image_alig = 'image-left';
    } elseif ('right' == $archive_layout_image) {
        $archive_post_image_alig = 'image-right';
    } elseif ('full' == $archive_layout_image) {
        $archive_post_image_alig = 'image-full';
    } else {
        $archive_post_image_alig = '';
    }

endif; ?>

<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
    <div class="twp-article-wrapper">
        <div class="entry-content twp-entry-content">
            <div class='twp-image-archive'>
                <?php the_post_thumbnail( ); ?>
            </div>
            <div class="twp-archive-content">

                <?php if (!is_single()) { ?>

                <header class="article-header">
                    <h2 class="entry-title">
                        <a href="<?php the_permalink(); ?>"><?php the_title(); ?></a>
                    </h2>
                </header>

                <div class="entry-meta primary-font">
                    <?php if ('full' == $archive_layout_image) { ?>
                        <?php the_blogging_posted_details(); ?>
                        <div class="post-category">
                            <span>
                                <?php the_blogging_entry_category(); ?>
                            </span>
                        </div>
                    <?php } else {
                        the_blogging_posted_details_date_name();
                    } ?>

                </div><!-- .entry-meta -->

                <?php if ('full' == $archive_layout_image) { ?>

                    <div class="article-excerpt-archive">

                        <?php the_excerpt();
                        the_blogging_excerpt_more(); ?>

                    </div>

                <?php } ?>

            </div>
        </div><!-- .entry-content -->

        <?php if ('full' != $archive_layout_image) { ?>
            <?php the_excerpt(); ?>
        <?php }

        } else { ?>

            <div class="entry-content">

                <?php 
                if (is_singular()) {
                    if ( has_post_thumbnail( $post->ID ) ) {
                        $banner_image_single_post = get_post_meta( $post->ID, 'the-blogging-meta-checkbox', true );
                        if ( 'yes' != $banner_image_single_post ) {
                            echo "<div class='image-full'>";
                                the_post_thumbnail('full');
                            echo "</div>";/*div end */
                        }
                    }
                }

                the_content();

                if( !class_exists('Booster_Extension_Class') && is_single() ):

                    wp_link_pages(array(
                        'before' => '<div class="page-links">' . esc_html__('Pages:', 'the-blogging'),
                        'after' => '</div>',
                    ));

                endif; ?>

            </div>

        <?php } ?>

    </div>
</article><!-- #post-## -->