<?php
/**
 * Template for Off canvas Menu
 * @since The Blogging 1.0.0
 */
?>
<div id="offcanvas-menu">

    <a class="offcanvas-return-focus-start screen-reader-text" href="javascript:void(0)"></a>

    <div class="close-offcanvas-menu offcanvas-item">
        <div class="offcanvas-close">
            <button type="button" class="btn-nostyle">
                <span>
                   <?php echo esc_html__('Close','the-blogging'); ?>
                </span>
                <span class="ion-ios-close-empty meta-icon meta-icon-large"></span>
            </button>
        </div>
    </div>

    <div class="offcanvas-brand offcanvas-item">
        <div class="site-branding">
            <div class="branding-wrapper">
                <?php the_blogging_the_custom_logo(); ?>
                <span class="site-title">
                                <a href="<?php echo esc_url(home_url('/')); ?>" rel="home">
                                    <?php bloginfo('name'); ?>
                                </a>
                            </span>
                <?php $description = get_bloginfo('description', 'display');
                if ($description || is_customize_preview()) : ?>
                    <p class="site-description">
                        <?php echo esc_html($description); ?>
                    </p>
                <?php
                endif; ?>
            </div>
        </div>
        <?php if (1 == the_blogging_get_option('show_date_top_bar_section')) { ?>
            <div class="offcanvas-date">
                <?php $time = current_time('l, M j, Y');
                echo esc_html($time); ?>
            </div>
        <?php } ?>
    </div>

    <?php if (has_nav_menu('primary')) { ?>
        <div id="primary-nav-offcanvas" class="offcanvas-navigation offcanvas-item">
            <div class="offcanvas-title">
                <?php esc_html_e('Menu', 'the-blogging'); ?>
            </div>
            <?php wp_nav_menu(array(
                'theme_location' => 'primary',
                'menu_id' => 'primary-menu',
                'container' => 'div',
                'container_class' => 'menu'
            )); ?>
        </div>
    <?php } ?>

    <?php if (has_nav_menu('social')) { ?>
        <div class="offcanvas-social offcanvas-item">
            <div class="offcanvas-title">
                <?php esc_html_e('Social profiles', 'the-blogging'); ?>
            </div>
            <div class="social-icons">
                <?php
                wp_nav_menu(
                    array('theme_location' => 'social',
                        'link_before' => '<span class="screen-reader-text">',
                        'link_after' => '</span>',
                        'menu_id' => 'social-menu',
                        'fallback_cb' => false,
                        'menu_class' => false
                    )); ?>
            </div>
        </div>
    <?php } ?>

    <div class="offcanvas-search offcanvas-item">
        <div class="offcanvas-title">
            <?php esc_html_e('Search', 'the-blogging'); ?>
        </div>
        <div id="search-form">
            <?php get_search_form(); ?>
        </div>
    </div>

</div>